> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish or unpublish documents

> Sets `isPublished` on each document in `documentIds` and returns the updated publish settings.

The caller must have edit permission on all supplied documents.



## OpenAPI

````yaml post /published/publish
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /published/publish:
    post:
      tags:
        - Published
      summary: Publish or unpublish documents
      description: >-
        Sets `isPublished` on each document in `documentIds` and returns the
        updated publish settings.


        The caller must have edit permission on all supplied documents.
      operationId: publishDocuments
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                documentIds:
                  type: array
                  items:
                    type: string
                    minLength: 1
                  minItems: 1
                isPublished:
                  type: boolean
                  example: false
              required:
                - documentIds
                - isPublished
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          isPublished:
                            type: boolean
                            example: false
                          publishedSettings:
                            type: object
                            properties:
                              publishedById:
                                type: string
                              publishedAt:
                                type: number
                              styling:
                                type: object
                                additionalProperties:
                                  anyOf:
                                    - type: string
                                    - type: boolean
                              domainSlug:
                                type: string
                            required:
                              - publishedById
                              - publishedAt
                        required:
                          - isPublished
                          - publishedSettings
                      - type: array
                        items: {}
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````